package com.ruoyi.info.operating.exception;

import com.ruoyi.common.enums.IIntegerEnum;
import java.util.Objects;


/**
 * 异常枚举
 */
public enum OperatingPhoneExceptionEnum implements IIntegerEnum {

    // TODO 注意检查错误码，保证系统内唯一
    OperatingPhone_IS_NOT_EXISTS(200001, "服务电话不存在"),

    ;

    private Integer code;

    private String msg;

    OperatingPhoneExceptionEnum(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    @Override
    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    @Override
    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public static OperatingPhoneExceptionEnum getByCode(int code, OperatingPhoneExceptionEnum[] values) {
        for (OperatingPhoneExceptionEnum value : values) {
            if (Objects.equals(code, value.getCode())) {
                return value;
            }
        }
        return null;
    }

}
